Skip to main content
`Ctrl`+`K`

# PetscLogStateEventSetActiveAll

Set logging event as active or inactive for all logging stages

## Synopsis

    #include "petsclog.h"
    PetscErrorCode PetscLogStateEventSetActiveAll(PetscLogState state, PetscLogEvent event, PetscBool isActive)

Not collective

## Input Parameters

- state - a `PetscLogState`

- event - a registered `PetscLogEvent`

- isActive - if `PETSC_FALSE`, `PetscLogStateEventGetActive()` will return `PETSC_FALSE` for all stages and all events

## Note

This is called for the global state (`PetscLogGetState()`) in `PetscLogEventSetActiveAll()`.

## See Also

Profiling, `PetscLogState`, `PetscLogEventGetActive()`

## Level

developer

## Location

src/sys/logging/state/logstate.c

Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages